Bug 179087 - ipppd do not set environment variables on ip-down
ipppd do not set environment variables on ip-down
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-01-27 04:48 EST by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-02 06:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-01-27 04:48:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Unlike pppd, the ipppd do not set any of the environment variables.

Version-Release number of selected component (if applicable):
isdn4k-utils-3.2-28 ppp-2.4.2-7

How reproducible:

Steps to Reproduce:
1. add following lines to e.g. /etc/ppp/ip-down.local:

2. establish ppp connection, hangup
3. establish ippp connection, hangup

Actual Results:  20060125-09:11:49 ppp0 86400 467240144 1860844023

Expected Results:  ipppd logs similar information

Additional info:

pppd man page mentioned the variables in sections "SCRIPTS", while ipppd doesn't.

Looks like this is missing and needs to be solved in upstream, current CVS of isdn4k-utils do not know about setting environment at all :-(
Comment 1 Ngo Than 2006-05-02 06:16:08 EDT
yes, the current version does not support this feature yet and needs
to be fixed in upstream.

Note You need to log in before you can comment on or make changes to this bug.